<?php

global $menu;
global $submenu;

$logo_url = CHESHALO_ASSETS_IMAGES . '/chesh-logo-dark.svg';

if ( cheshalo_get_opt( 'white_label' ) ) {
	$image_data = cheshalo_get_opt( 'white_label_dashboard_logo' );

	if ( ! empty( $image_data['url'] ) ) {
		$logo_url = wp_get_attachment_image_url( $image_data['id'], 'full' );
	}
}

?>
<div class="xts-header xts-theme-style">
	<div class="xts-row">
		<div class="xts-col-auto xts-logo-wrap">
			<?php if ( current_user_can( apply_filters( 'cheshalo_dashboard_theme_links_access', 'administrator' ) ) ) : ?>
				<a href="<?php echo esc_url( admin_url( 'admin.php?page=xts_dashboard' ) ); ?>"></a>
			<?php endif; ?>
			<img src="<?php echo esc_url( $logo_url ); ?>" class="xts-logo" alt="<?php esc_html_e( 'Logo', 'cheshalo' ); ?>">
			<div class="xts-version">
				<?php echo esc_html( 'v.' . cheshalo_get_theme_info( 'Version' ) ); ?>
			</div>
		</div>
		<div class="xts-col">
			<?php
			new XTS\Admin\Modules\Dashboard\Menu(
				array(
					'items' => array(
						array(
							'link'       => array(
								'url' => admin_url( 'admin.php?page=xts_theme_settings' ),
							),
							'type'       => 'page',
							'slug'       => 'xts_theme_settings',
							'icon'       => 'theme-settings',
							'text'       => esc_html__( 'Theme settings', 'cheshalo' ),
							'condition'  => current_user_can( apply_filters( 'cheshalo_capability_menu_page', 'manage_options', 'xts_theme_settings' ) ),
							'child_menu' => array(
								'items' => array(
									array(
										'link' => array(
											'url' => admin_url( 'admin.php?page=xts_theme_settings_presets' ),
										),
										'type' => 'page',
										'slug' => 'xts_theme_settings_presets',
										'icon' => 'cog',
										'text' => esc_html__( 'Presets', 'cheshalo' ),
									),
									array(
										'link' => array(
											'url' => admin_url( 'admin.php?page=xts_theme_settings_backup' ),
										),
										'type' => 'page',
										'slug' => 'xts_theme_settings_backup',
										'icon' => 'round-right',
										'text' => esc_html__( 'Backup', 'cheshalo' ),
									),
								),
							),
						),
						
					),
				)
			);
			?>
			<?php
			new XTS\Admin\Modules\Dashboard\Menu(
				array(
					'items' => array(
						array(
							'link'      => array(
								'url' => admin_url( 'admin.php?page=xts_header_builder' ),
							),
							'type'      => 'page',
							'slug'      => 'xts_header_builder',
							'icon'      => 'header-builder',
							'text'      => esc_html__( 'Header builder', 'cheshalo' ),
							'condition' => current_user_can( apply_filters( 'cheshalo_capability_menu_page', 'manage_options', 'xts_header_builder' ) ),
						),
						array(
							'link'      => array(
								'url' => admin_url( 'edit.php?post_type=cheshalo_layout' ),
							),
							'type'      => 'post_type',
							'slug'      => 'cheshalo_layout',
							'icon'      => 'layouts',
							'text'      => esc_html__( 'Layouts', 'cheshalo' ),
							'condition' => in_array( 'edit.php?post_type=cheshalo_layout', array_column( $menu, 2 ) ),
						),
						array(
							'link'       => array(
								'url' => admin_url( 'edit-tags.php?taxonomy=cheshalo_slider&post_type=cheshalo_slide' ),
							),
							'type'       => 'post_type_taxonomy',
							'slug'       => 'cheshalo_slide',
							'icon'       => 'slides',
							'text'       => esc_html__( 'Sliders', 'cheshalo' ),
							'condition'  => cheshalo_get_opt( 'cheshalo_slider', '1' ) && in_array( 'edit.php?post_type=cheshalo_slide', array_column( $menu, 2 ) ),
							'child_menu' => array(
								'items' => array(
									array(
										'link'      => array(
											'url' => admin_url( 'edit.php?post_type=cheshalo_slide' ),
										),
										'type'      => 'post_type',
										'slug'      => 'cheshalo_slide',
										'condition' => cheshalo_get_opt( 'cheshalo_slider', '1' ) && isset( $submenu['edit.php?post_type=cheshalo_slide'] ),
										'text'      => esc_html__( 'All slides', 'cheshalo' ),
									),
									array(
										'link'      => array(
											'url' => admin_url( 'post-new.php?post_type=cheshalo_slide' ),
										),
										'type'      => 'post_type_new',
										'slug'      => 'cheshalo_slide',
										'condition' => cheshalo_get_opt( 'cheshalo_slider', '1' ) && isset( $submenu['edit.php?post_type=cheshalo_slide'] ),
										'text'      => esc_html__( 'Add new slide', 'cheshalo' ),
									),
								),
							),
						),
						array(
							'link'       => array(
								'url' => admin_url( 'edit.php?post_type=cms_block' ),
							),
							'type'       => 'post_type',
							'slug'       => 'cms_block',
							'icon'       => 'html-block',
							'condition'  => in_array( 'edit.php?post_type=cms_block', array_column( $menu, 2 ) ),
							'text'       => esc_html__( 'HTML Blocks', 'cheshalo' ),
							'child_menu' => array(
								'items' => array(
									array(
										'link'      => array(
											'url' => admin_url( 'edit-tags.php?taxonomy=cms_block_cat&post_type=cms_block' ),
										),
										'type'      => 'post_type_taxonomy',
										'slug'      => 'cms_block',
										'condition' => isset( $submenu['edit.php?post_type=cms_block'] ),
										'text'      => esc_html__( 'Categories', 'cheshalo' ),
									),
									array(
										'link'      => array(
											'url' => admin_url( 'post-new.php?post_type=cms_block' ),
										),
										'type'      => 'post_type_new',
										'slug'      => 'cms_block',
										'condition' => isset( $submenu['edit.php?post_type=cms_block'] ),
										'text'      => esc_html__( 'Add new', 'cheshalo' ),
									),
								),
							),
						),
						array(
							'link'       => array(
								'url' => admin_url( 'edit.php?post_type=cheshalo_sidebar' ),
							),
							'type'       => 'post_type',
							'slug'       => 'cheshalo_sidebar',
							'icon'       => 'sidebars',
							'condition'  => in_array( 'edit.php?post_type=cheshalo_sidebar', array_column( $menu, 2 ) ),
							'text'       => esc_html__( 'Sidebars', 'cheshalo' ),
							'child_menu' => array(
								'items' => array(
									array(
										'link'      => array(
											'url' => admin_url( 'post-new.php?post_type=cheshalo_sidebar' ),
										),
										'type'      => 'post_type_new',
										'slug'      => 'cheshalo_sidebar',
										'condition' => isset( $submenu['edit.php?post_type=cheshalo_sidebar'] ),
										'text'      => esc_html__( 'Add new', 'cheshalo' ),
									),
								),
							),
						),
					),
				)
			);
			?>
		</div>
	</div>
</div>
