<?php

if ( ! defined( 'CHESHALO_THEME_DIR' ) ) {
	exit( 'No direct script access allowed' );
}
/**
* ------------------------------------------------------------------------------------------------
*  Google map element map
* ------------------------------------------------------------------------------------------------
*/

if( ! function_exists( 'cheshalo_get_vc_map_google_map' ) ) {
	/**
	 * Displays the shortcode settings fields in the admin.
	 */
	function cheshalo_get_vc_map_google_map() {
		return array(
			'name'            => esc_html__( 'Google map', 'cheshalo' ),
			'description'     => esc_html__( 'Shows Google map block', 'cheshalo' ),
			'base'            => 'cheshalo_google_map',
			'category'        => cheshalo_get_tab_title_category_for_wpb( esc_html__( 'Theme elements', 'cheshalo' ) ),
			'as_parent'       => array( 'except' => 'testimonial' ),
			'content_element' => true,
			'js_view'         => 'VcColumnView',
			'icon'            => CHESHALO_ASSETS . '/images/vc-icon/google-maps.svg',
			'params'          => array(
				array(
					'type'       => 'cheshalo_css_id',
					'param_name' => 'cheshalo_css_id',
				),
				/**
				 * Settings.
				 */
				array(
					'type'       => 'cheshalo_title_divider',
					'holder'     => 'div',
					'title'      => esc_html__( 'Settings', 'cheshalo' ),
					'param_name' => 'settings_divider',
				),
				array(
					'type'       => 'textfield',
					'heading'    => esc_html__( 'Google API key', 'cheshalo' ),
					'param_name' => 'google_key',
					'hint'       => wp_kses(
						__( 'Obtain API key <a href="https://developers.google.com/maps/documentation/javascript/get-api-key" target="_blank">here</a> to use our Google map VC element. By default, the key will be taken from Theme Settings.', 'cheshalo' ),
						array(
							'a' => array(
								'href'   => array(),
								'target' => array(),
							),
						)
					),
				),
				array(
					'type'        => 'cheshalo_switch',
					'heading'     => esc_html__( 'Multiple markers', 'cheshalo' ),
					'param_name'  => 'multiple_markers',
					'true_state'  => 'yes',
					'false_state' => 'no',
					'default'     => 'no',
				),
				array(
					'type'             => 'textfield',
					'heading'          => esc_html__( 'Latitude (required)', 'cheshalo' ),
					'param_name'       => 'lat',
					'hint'             => wp_kses(
						__( 'You can use <a href="https://universimmedia.pagesperso-orange.fr/geo/loc.htm" target="_blank">this service</a> to get coordinates of your location.', 'cheshalo' ),
						array(
							'a' => array(
								'href'   => array(),
								'target' => array(),
							),
						)
					),
					'dependency'       => array(
						'element' => 'multiple_markers',
						'value'   => array( 'no' ),
					),
					'edit_field_class' => 'vc_col-sm-6 vc_column',
				),
				array(
					'type'             => 'textfield',
					'heading'          => esc_html__( 'Longitude (required)', 'cheshalo' ),
					'param_name'       => 'lon',
					'dependency'       => array(
						'element' => 'multiple_markers',
						'value'   => array( 'no' ),
					),
					'edit_field_class' => 'vc_col-sm-6 vc_column',
				),
				array(
					'type'       => 'param_group',
					'param_name' => 'marker_list',
					'heading'    => esc_html__( 'Marker list', 'cheshalo' ),
					'dependency' => array(
						'element' => 'multiple_markers',
						'value'   => array( 'yes' ),
					),
					'params'     => array(
						array(
							'type'          => 'cheshalo_title_divider',
							'holder'        => 'div',
							'title'         => esc_html__( 'Content', 'cheshalo' ),
							'param_name'    => 'marker_content_title_divider',
							'without_group' => true,
						),
						array(
							'param_name'  => 'marker_title',
							'type'        => 'textfield',
							'admin_label' => true,
							'heading'     => esc_html__( 'Title', 'cheshalo' ),
						),
						array(
							'param_name'       => 'marker_lat',
							'type'             => 'textfield',
							'hint'             => wp_kses(
								__( 'You can use <a href="https://universimmedia.pagesperso-orange.fr/geo/loc.htm" target="_blank">this service</a> to get coordinates of your location.', 'cheshalo' ),
								array(
									'a' => array(
										'href'   => array(),
										'target' => array(),
									),
								)
							),
							'admin_label'      => true,
							'heading'          => esc_html__( 'Latitude (required)', 'cheshalo' ),
							'edit_field_class' => 'vc_col-sm-6 vc_column',
						),
						array(
							'param_name'       => 'marker_lon',
							'type'             => 'textfield',
							'admin_label'      => true,
							'heading'          => esc_html__( 'Longitude (required)', 'cheshalo' ),
							'edit_field_class' => 'vc_col-sm-6 vc_column',
						),
						array(
							'param_name'  => 'marker_description',
							'type'        => 'textarea',
							'admin_label' => true,
							'heading'     => esc_html__( 'Description', 'cheshalo' ),
						),
						array(
							'type'          => 'cheshalo_title_divider',
							'holder'        => 'div',
							'title'         => esc_html__( 'Marker', 'cheshalo' ),
							'param_name'    => 'marker_image_title_divider',
							'without_group' => true,
						),
						array(
							'type'       => 'attach_image',
							'heading'    => esc_html__( 'Image', 'cheshalo' ),
							'param_name' => 'image',
							'edit_field_class' => 'vc_col-sm-6 vc_column',
						),
						array(
							'type'        => 'textfield',
							'heading'     => esc_html__( 'Image size', 'cheshalo' ),
							'param_name'  => 'image_size',
							'description' => esc_html__( 'Example: \'thumbnail\', \'medium\', \'large\', \'full\' or enter image size in pixels: \'200x100\'.', 'cheshalo' ),
							'value'       => '',
							'edit_field_class' => 'vc_col-sm-6 vc_column',
						),
					),
				),
				/**
				 * Marker settings.
				 */
				array(
					'type'       => 'cheshalo_title_divider',
					'holder'     => 'div',
					'title'      => esc_html__( 'Marker settings', 'cheshalo' ),
					'param_name' => 'marker_divider',
				),
				array(
					'type'             => 'attach_image',
					'heading'          => esc_html__( 'Marker icon', 'cheshalo' ),
					'param_name'       => 'marker_icon',
					'edit_field_class' => 'vc_col-sm-6 vc_column',
				),
				array(
					'type'        => 'textfield',
					'heading'     => esc_html__( 'Image size', 'cheshalo' ),
					'param_name'  => 'marker_icon_size',
					'description' => esc_html__( 'Example: \'thumbnail\', \'medium\', \'large\', \'full\' or enter image size in pixels: \'200x100\'.', 'cheshalo' ),
					'value'       => '',
					'edit_field_class' => 'vc_col-sm-6 vc_column',
				),
				array(
					'type'             => 'textfield',
					'heading'          => esc_html__( 'Title', 'cheshalo' ),
					'param_name'       => 'title',
					'dependency'       => array(
						'element' => 'multiple_markers',
						'value'   => array( 'no' ),
					),
					'edit_field_class' => 'vc_col-sm-6 vc_column',
				),
				array(
					'type'             => 'textarea',
					'heading'          => esc_html__( 'Text on marker', 'cheshalo' ),
					'param_name'       => 'marker_text',
					'dependency'       => array(
						'element' => 'multiple_markers',
						'value'   => array( 'no' ),
					),
					'edit_field_class' => 'vc_col-sm-6 vc_column',
				),
				/**
				 * Map settings.
				 */
				array(
					'type'       => 'cheshalo_title_divider',
					'holder'     => 'div',
					'title'      => esc_html__( 'Map settings', 'cheshalo' ),
					'param_name' => 'map_set_divider',
				),
				array(
					'type'             => 'dropdown',
					'heading'          => esc_html__( 'Map mask', 'cheshalo' ),
					'hint'             => esc_html__( 'Add an overlay to your map to make the content look cleaner on the map.', 'cheshalo' ),
					'param_name'       => 'mask',
					'value'            => array(
						esc_html__( 'Without', 'cheshalo' ) => '',
						esc_html__( 'Dark', 'cheshalo' )  => 'dark',
						esc_html__( 'Light', 'cheshalo' ) => 'light',
					),
					'edit_field_class' => 'vc_col-sm-6 vc_column',
				),
				array(
					'type'             => 'cheshalo_slider',
					'heading'          => esc_html__( 'Zoom', 'cheshalo' ),
					'param_name'       => 'zoom',
					'min'              => '0',
					'max'              => '19',
					'step'             => '1',
					'default'          => '15',
					'units'            => '',
					'edit_field_class' => 'vc_col-sm-6 vc_column',
					'hint'             => esc_html__( 'Zoom level when focus the marker 0 - 19', 'cheshalo' ),
				),
				array(
					'type'             => 'wd_slider',
					'heading'          => esc_html__( 'Map Height', 'cheshalo' ),
					'param_name'       => 'new_height',
					'selectors'        => array(
						'{{WRAPPER}}' => array(
							'height: {{VALUE}}{{UNIT}};',
						),
					),
					'devices'          => array(
						'desktop' => array(
							'value' => '',
							'unit'  => 'px',
						),
						'tablet'  => array(
							'value' => '',
							'unit'  => 'px',
						),
						'mobile'  => array(
							'value' => '',
							'unit'  => 'px',
						),
					),
					'range'            => array(
						'px' => array(
							'min'  => 100,
							'max'  => 2000,
							'step' => 10,
						),
					),
					'edit_field_class' => 'vc_col-sm-6 vc_column',
					'transfer'         => 'height',
				),
				array(
					'type'             => 'cheshalo_slider',
					'heading'          => esc_html__( 'Map height', 'cheshalo' ),
					'param_name'       => 'height',
					'min'              => '100',
					'max'              => '2000',
					'step'             => '10',
					'default'          => '400',
					'units'            => 'px',
					'edit_field_class' => 'vc_col-sm-6 vc_column xts-hidden',
					'hint'             => esc_html__( 'Default: 400', 'cheshalo' ),
				),
				array(
					'type'             => 'cheshalo_switch',
					'heading'          => esc_html__( 'Zoom with mouse wheel', 'cheshalo' ),
					'param_name'       => 'scroll',
					'true_state'       => 'yes',
					'false_state'      => 'no',
					'default'          => 'no',
					'edit_field_class' => 'vc_col-sm-6 vc_column',
				),
				array(
					'type'        => 'textarea_raw_html',
					'heading'     => esc_html__( 'Styles (JSON)', 'cheshalo' ),
					'param_name'  => 'style_json',
					'description' => sprintf(
						__( 'Styled maps allow you to customize the presentation of the standard Google base maps, changing the visual display of such elements as roads, parks, and built-up areas. %3$s You can find more Google maps styles on the website: %1$s Snazzy Maps %2$s %3$s Just copy JSON code and paste it here %3$s For example: %3$s %4$s', 'cheshalo' ),
						'<a target="_blank" href="https://snazzymaps.com/">',
						'</a>',
						'<br>',
						'[{"featureType":"administrative","elementType":"labels.text.fill","stylers":[{"color":"#444444"}]},{"featureType":"landscape","elementType":"all","stylers":[{"color":"#f2f2f2"}]},{"featureType":"poi","elementType":"all","stylers":[{"visibility":"off"}]},{"featureType":"road","elementType":"all","stylers":[{"saturation":-100},{"lightness":45}]},{"featureType":"road.highway","elementType":"all","stylers":[{"visibility":"simplified"}]},{"featureType":"road.arterial","elementType":"labels.icon","stylers":[{"visibility":"off"}]},{"featureType":"transit","elementType":"all","stylers":[{"visibility":"off"}]},{"featureType":"water","elementType":"all","stylers":[{"color":"#46bcec"},{"visibility":"on"}]}]'
					),
				),
				/**
				 * Extra.
				 */
				array(
					'type'       => 'cheshalo_title_divider',
					'holder'     => 'div',
					'title'      => esc_html__( 'Extra options', 'cheshalo' ),
					'param_name' => 'extra_divider',
				),
				( function_exists( 'vc_map_add_css_animation' ) ) ? vc_map_add_css_animation( true ) : '',
				array(
					'type'       => 'textfield',
					'heading'    => esc_html__( 'Extra class name', 'cheshalo' ),
					'param_name' => 'el_class',
					'hint'       => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'cheshalo' ),
				),
				/**
				 * Content settings.
				 */
				array(
					'type'       => 'cheshalo_title_divider',
					'holder'     => 'div',
					'title'      => esc_html__( 'Content settings', 'cheshalo' ),
					'group'      => esc_html__( 'Content', 'cheshalo' ),
					'param_name' => 'content_set_divider',
				),
				array(
					'type'             => 'cheshalo_image_select',
					'heading'          => esc_html__( 'Content on the map horizontal position', 'cheshalo' ),
					'group'            => esc_html__( 'Content', 'cheshalo' ),
					'param_name'       => 'content_horizontal',
					'value'            => array(
						esc_html__( 'Left', 'cheshalo' )   => 'left',
						esc_html__( 'Center', 'cheshalo' ) => 'center',
						esc_html__( 'Right', 'cheshalo' )  => 'right',
					),
					'images_value'     => array(
						'left'   => CHESHALO_ASSETS_IMAGES . '/settings/content-align/horizontal/left.png',
						'center' => CHESHALO_ASSETS_IMAGES . '/settings/content-align/horizontal/center.png',
						'right'  => CHESHALO_ASSETS_IMAGES . '/settings/content-align/horizontal/right.png',
					),
					'std'              => 'left',
					'wood_tooltip'     => true,
					'edit_field_class' => 'vc_col-sm-6 vc_column content-position',
				),
				array(
					'type'             => 'cheshalo_image_select',
					'heading'          => esc_html__( 'Content on the map vertical position', 'cheshalo' ),
					'group'            => esc_html__( 'Content', 'cheshalo' ),
					'param_name'       => 'content_vertical',
					'value'            => array(
						esc_html__( 'Top', 'cheshalo' ) => 'top',
						esc_html__( 'Middle', 'cheshalo' ) => 'middle',
						esc_html__( 'Bottom', 'cheshalo' ) => 'bottom',
					),
					'images_value'     => array(
						'top'    => CHESHALO_ASSETS_IMAGES . '/settings/content-align/vertical/top.png',
						'middle' => CHESHALO_ASSETS_IMAGES . '/settings/content-align/vertical/middle.png',
						'bottom' => CHESHALO_ASSETS_IMAGES . '/settings/content-align/vertical/bottom.png',
					),
					'std'              => 'top',
					'wood_tooltip'     => true,
					'edit_field_class' => 'vc_col-sm-6 vc_column content-position',
				),
				array(
					'type'             => 'cheshalo_slider',
					'heading'          => esc_html__( 'Content width', 'cheshalo' ),
					'group'            => esc_html__( 'Content', 'cheshalo' ),
					'param_name'       => 'content_width',
					'min'              => '100',
					'max'              => '2000',
					'step'             => '10',
					'default'          => '300',
					'units'            => 'px',
					'edit_field_class' => 'vc_col-sm-6 vc_column',
					'hint'             => esc_html__( 'Default: 300', 'cheshalo' ),
				),
				/**
				 * Loading settings.
				 */
				array(
					'type'       => 'cheshalo_title_divider',
					'holder'     => 'div',
					'title'      => esc_html__( 'Lazy loading settings', 'cheshalo' ),
					'group'      => esc_html__( 'Content', 'cheshalo' ),
					'param_name' => 'loading_set_divider',
				),
				array(
					'type'             => 'cheshalo_button_set',
					'heading'          => esc_html__( 'Init event', 'cheshalo' ),
					'group'            => esc_html__( 'Content', 'cheshalo' ),
					'param_name'       => 'init_type',
					'value'            => array(
						esc_html__( 'On page load', 'cheshalo' ) => 'page_load',
						esc_html__( 'On scroll', 'cheshalo' ) => 'scroll',
						esc_html__( 'On button click', 'cheshalo' ) => 'button',
						esc_html__( 'On user interaction', 'cheshalo' ) => 'interaction',
					),
					'hint'             => esc_html__( 'For a better performance you can initialize the Google map only when you scroll down the page or when you click on it.', 'cheshalo' ),
					'edit_field_class' => 'vc_col-sm-12 vc_column',
				),
				array(
					'type'             => 'cheshalo_slider',
					'heading'          => esc_html__( 'Scroll offset', 'cheshalo' ),
					'group'            => esc_html__( 'Content', 'cheshalo' ),
					'param_name'       => 'init_offset',
					'min'              => '0',
					'max'              => '1000',
					'step'             => '10',
					'default'          => '100',
					'units'            => 'px',
					'edit_field_class' => 'vc_col-sm-6 vc_column',
					'hint'             => esc_html__( 'Default: 100', 'cheshalo' ),
					'dependency'       => array(
						'element' => 'init_type',
						'value'   => array( 'scroll' ),
					),
				),
				array(
					'type'             => 'attach_image',
					'heading'          => esc_html__( 'Placeholders', 'cheshalo' ),
					'group'            => esc_html__( 'Content', 'cheshalo' ),
					'param_name'       => 'map_init_placeholder',
					'value'            => '',
					'hint'             => esc_html__( "Select image from media library.", 'cheshalo' ), // phpcs:ignore.
					'dependency'       => array(
						'element' => 'init_type',
						'value'   => array( 'scroll', 'button', 'interaction' ),
					),
					'edit_field_class' => 'vc_col-sm-6 vc_column',
				),
				array(
					'type'             => 'textfield',
					'heading'          => esc_html__( 'Placeholder size', 'cheshalo' ),
					'group'            => esc_html__( 'Content', 'cheshalo' ),
					'param_name'       => 'map_init_placeholder_size',
					'hint'             => esc_html__( 'Enter image size. Example: \'thumbnail\', \'medium\', \'large\', \'full\' or other sizes defined by current theme. Alternatively enter image size in pixels: 200x100 (Width x Height). Leave empty to use \'thumbnail\' size.', 'cheshalo' ),
					'dependency'       => array(
						'element' => 'init_type',
						'value'   => array( 'scroll', 'button', 'interaction' ),
					),
					'edit_field_class' => 'vc_col-sm-6 vc_column',
					'description'      => esc_html__( 'Example: \'thumbnail\', \'medium\', \'large\', \'full\' or enter image size in pixels: \'200x100\'.', 'cheshalo' ),
				),
				/**
				 * Design Options.
				 */
				array(
					'type'       => 'css_editor',
					'heading'    => esc_html__( 'CSS box', 'cheshalo' ),
					'param_name' => 'css',
					'group'      => esc_html__( 'Design Options', 'js_composer' ),
				),
				function_exists( 'cheshalo_get_vc_responsive_spacing_map' ) ? cheshalo_get_vc_responsive_spacing_map() : '',
			),
		);
	}
}

// A must for container functionality, replace Wbc_Item with your base name from mapping for parent container.
if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
	class WPBakeryShortCode_cheshalo_google_map extends WPBakeryShortCodesContainer { // phpcs:ignore.

	}
}
