<?php
/**
 * Yoast.
 *
 * @package cheshalo
 */

if ( ! function_exists( 'YoastSEO' ) ) {
	return;
}

add_action( 'category_description', 'cheshalo_page_css_files_disable', 9 );
add_action( 'term_description', 'cheshalo_page_css_files_disable', 9 );

add_action( 'category_description', 'cheshalo_page_css_files_enable', 11 );
add_action( 'term_description', 'cheshalo_page_css_files_enable', 11 );

if ( ! function_exists( 'cheshalo_layout_post_type_filter' ) ) {
	/**
	 * Exclude cheshalo layout from Optimize SEO.
	 *
	 * @param array $post_types Post type.
	 * @return mixed
	 */
	function cheshalo_layout_post_type_filter( $post_types ) {
		if ( isset( $post_types['cheshalo_layout'] ) ) {
			unset( $post_types['cheshalo_layout'] );
		}

		return $post_types;
	}

	add_filter( 'wpseo_accessible_post_types', 'cheshalo_layout_post_type_filter' );
}

if ( ! function_exists( 'cheshalo_indexable_excluded_post_types' ) ) {
	/**
	 * Exclude cheshalo layout from Optimize SEO.
	 *
	 * @param array $post_types Post type.
	 * @return mixed
	 */
	function cheshalo_indexable_excluded_post_types( $post_types ) {
		$post_types[] = 'cheshalo_layout';

		return $post_types;
	}

	add_filter( 'wpseo_indexable_excluded_post_types', 'cheshalo_indexable_excluded_post_types' );
}
