<?php
/**
 * Products per page map.
 *
 * @package Cheshalo
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Direct access not allowed.
}

if ( ! function_exists( 'cheshalo_get_vc_map_shop_archive_per_page' ) ) {
	/**
	 * Products per page map.
	 */
	function cheshalo_get_vc_map_shop_archive_per_page() {
		return array(
			'base'        => 'cheshalo_shop_archive_per_page',
			'name'        => esc_html__( 'Products per page', 'cheshalo' ),
			'category'    => cheshalo_get_tab_title_category_for_wpb( esc_html__( 'Products archive', 'cheshalo' ), 'shop_archive' ),
			'description' => esc_html__( 'Number of products per page selector', 'cheshalo' ),
			'icon'        => CHESHALO_ASSETS . '/images/vc-icon/sa-icons/sa-products-per-page.svg',
			'params'      => array(
				array(
					'type'       => 'cheshalo_css_id',
					'param_name' => 'cheshalo_css_id',
				),

				array(
					'heading'     => esc_html__( 'Products per page variations', 'cheshalo' ),
					'description' => esc_html__( 'For ex.: 12,24,36,-1. Use -1 to show all products on the page', 'cheshalo' ),
					'type'        => 'textfield',
					'param_name'  => 'per_page_options',
					'value'       => '9,12,18,24',
				),

				array(
					'heading'    => esc_html__( 'CSS box', 'cheshalo' ),
					'group'      => esc_html__( 'Design Options', 'js_composer' ),
					'type'       => 'css_editor',
					'param_name' => 'css',
				),
				cheshalo_get_vc_responsive_spacing_map(),

				/**
				 * Advanced Tab.
				 */
				cheshalo_get_vc_responsive_visible_map( 'responsive_tabs_hide' ),
				cheshalo_get_vc_responsive_visible_map( 'wd_hide_on_desktop' ),
				cheshalo_get_vc_responsive_visible_map( 'wd_hide_on_tablet' ),
				cheshalo_get_vc_responsive_visible_map( 'wd_hide_on_mobile' ),

				// Width option (with dependency Columns option, responsive).
				cheshalo_get_responsive_dependency_width_map( 'responsive_tabs' ),
				cheshalo_get_responsive_dependency_width_map( 'width_desktop' ),
				cheshalo_get_responsive_dependency_width_map( 'custom_width_desktop' ),
				cheshalo_get_responsive_dependency_width_map( 'width_tablet' ),
				cheshalo_get_responsive_dependency_width_map( 'custom_width_tablet' ),
				cheshalo_get_responsive_dependency_width_map( 'width_mobile' ),
				cheshalo_get_responsive_dependency_width_map( 'custom_width_mobile' ),
			),
		);
	}
}
